package com.steering.mes.mcp.entity;

import java.io.Serializable;


/**
 * 接箍作业计划实体类
 * @author siy 2015/05/29
 * @version v1.0
 */
public class CoupCutPlan implements Serializable {
    /** VersionUID */
    private static final long serialVersionUID = 1L;
    /** 计划号 */
    private String planNo;
    /** 生产批号 */
    private String lotNo;
    /** 批次流水号 */
    private String lotSeq;
    /** 炉号 */
    private String judgeStoveNo;
    /** 性能批号 */
    private String batchNo;
    /** 产线编号 */
    private String proLineCode;
    /** 产线名称 */
    private String proLineName;
    /** 支数 */
    private int pieces;
    /** 计划状态 */
    private String status;
    /**耗时 */
    private String useTime; 
    /** 生产时间 */
    private String produceTime;
    /** 机组号 */
    private String machineGroupNo;
    /** 备注*/
    private String remark;
    
	private String beginTime;
    private String endTime;
    
    public String getBeginTime() {
        return beginTime;
    }
    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }
    public String getEndTime() {
        return endTime;
    }
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
    public String getMachineGroupNo() {
        return machineGroupNo;
    }
    public void setMachineGroupNo(String machineGroupNo) {
        this.machineGroupNo = machineGroupNo;
    }
    public String getPlanNo() {
        return planNo;
    }
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    public String getLotNo() {
        return lotNo;
    }
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }
    public String getLotSeq() {
        return lotSeq;
    }
    public void setLotSeq(String lotSeq) {
        this.lotSeq = lotSeq;
    }
 
    public String getJudgeStoveNo() {
		return judgeStoveNo;
	}
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}
	public String getBatchNo() {
        return batchNo;
    }
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }
    public String getProLineCode() {
        return proLineCode;
    }
    public void setProLineCode(String proLineCode) {
        this.proLineCode = proLineCode;
    }
    public String getProLineName() {
        return proLineName;
    }
    public void setProLineName(String proLineName) {
        this.proLineName = proLineName;
    }
    public int getPieces() {
        return pieces;
    }
    public void setPieces(int pieces) {
        this.pieces = pieces;
    }
    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }
    public String getProduceTime() {
        return produceTime;
    }
    public void setProduceTime(String produceTime) {
        this.produceTime = produceTime;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    
	public String getUseTime() {
		return useTime;
	}
	public void setUseTime(String useTime) {
		this.useTime = useTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
}
